<html>
<head>
<title>OgreFrameListener.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreFrameListener.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreFrameListener_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __FrameListener_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __FrameListener_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 
<a name="l00032"></a>00032 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00033"></a>00033 
<a name="l00034"></a>00034 <span class="keyword">namespace </span>Ogre {
<a name="l00035"></a>00035 
<a name="l00044"></a><a class="code" href="structOgre_1_1FrameEvent.html">00044</a>     <span class="keyword">struct </span><a class="code" href="structOgre_1_1FrameEvent.html" title="Struct containing information about a frame event.">FrameEvent</a>
<a name="l00045"></a>00045     {
<a name="l00053"></a><a class="code" href="structOgre_1_1FrameEvent.html#ab772e995840b64e5f0bff08cdc29abd5">00053</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="structOgre_1_1FrameEvent.html#ab772e995840b64e5f0bff08cdc29abd5" title="Elapsed time in seconds since the last event.">timeSinceLastEvent</a>;
<a name="l00060"></a><a class="code" href="structOgre_1_1FrameEvent.html#adf69bb72418f50afcbf5b55ce0745b31">00060</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="structOgre_1_1FrameEvent.html#adf69bb72418f50afcbf5b55ce0745b31" title="Elapsed time in seconds since the last event of the same type, i.e.">timeSinceLastFrame</a>;
<a name="l00061"></a>00061     };
<a name="l00062"></a>00062 
<a name="l00063"></a>00063 
<a name="l00082"></a><a class="code" href="classOgre_1_1FrameListener.html">00082</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1FrameListener.html" title="A interface class defining a listener which can be used to receive notifications of frame events...">FrameListener</a>
<a name="l00083"></a>00083     {
<a name="l00084"></a>00084         <span class="comment">/*</span>
<a name="l00085"></a>00085 <span class="comment">        Note that this could have been an abstract class, but I made</span>
<a name="l00086"></a>00086 <span class="comment">        the explicit choice not to do this, because I wanted to give</span>
<a name="l00087"></a>00087 <span class="comment">        people the option of only implementing the methods they wanted,</span>
<a name="l00088"></a>00088 <span class="comment">        rather than having to create &#39;do nothing&#39; implementations for</span>
<a name="l00089"></a>00089 <span class="comment">        those they weren&#39;t interested in. As such this class follows</span>
<a name="l00090"></a>00090 <span class="comment">        the &#39;Adapter&#39; classes in Java rather than pure interfaces.</span>
<a name="l00091"></a>00091 <span class="comment">        */</span>
<a name="l00092"></a>00092     <span class="keyword">public</span>:
<a name="l00100"></a><a class="code" href="classOgre_1_1FrameListener.html#a88238b65f9ce32f0de8c5eeeb7b6c6ad">00100</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> frameStarted(<span class="keyword">const</span> <a class="code" href="structOgre_1_1FrameEvent.html" title="Struct containing information about a frame event.">FrameEvent</a>&amp; evt)
<a name="l00101"></a>00101         { (void)evt; <span class="keywordflow">return</span> <span class="keyword">true</span>; }
<a name="l00102"></a>00102         
<a name="l00119"></a><a class="code" href="classOgre_1_1FrameListener.html#a2785cb38589ab9df123fa401cbda31c3">00119</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> frameRenderingQueued(<span class="keyword">const</span> <a class="code" href="structOgre_1_1FrameEvent.html" title="Struct containing information about a frame event.">FrameEvent</a>&amp; evt)
<a name="l00120"></a>00120                 { (void)evt; <span class="keywordflow">return</span> <span class="keyword">true</span>; }
<a name="l00121"></a>00121 
<a name="l00130"></a><a class="code" href="classOgre_1_1FrameListener.html#af1d0140678c18a013ac45aa544c00bfd">00130</a>         <span class="keyword">virtual</span> <span class="keywordtype">bool</span> frameEnded(<span class="keyword">const</span> <a class="code" href="structOgre_1_1FrameEvent.html" title="Struct containing information about a frame event.">FrameEvent</a>&amp; evt)
<a name="l00131"></a>00131         { (void)evt; <span class="keywordflow">return</span> <span class="keyword">true</span>; }
<a name="l00132"></a>00132 
<a name="l00133"></a><a class="code" href="classOgre_1_1FrameListener.html#a49e2b4fc5a0d0547f908f1dd9f1ac16d">00133</a>         <span class="keyword">virtual</span> <a class="code" href="classOgre_1_1FrameListener.html#a49e2b4fc5a0d0547f908f1dd9f1ac16d">~FrameListener</a>() {}
<a name="l00134"></a>00134         
<a name="l00135"></a>00135     };
<a name="l00138"></a>00138 }
<a name="l00139"></a>00139 
<a name="l00140"></a>00140 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
